Share via


Fleet Managed Namespaces - Create Or Update

Create a FleetManagedNamespace

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/fleets/{fleetName}/managedNamespaces/{managedNamespaceName}?api-version=2026-02-01-preview

URI Parameters

Name In Required Type Description
fleetName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$

The name of the Fleet resource.

managedNamespaceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$

The name of the fleet managed namespace resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
If-Match

string

The request should only proceed if an entity matches this string.

If-None-Match

string

The request should only proceed if no entity matches this string.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

properties

FleetManagedNamespaceProperties

The resource-specific properties for this resource.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

FleetManagedNamespace

Resource 'FleetManagedNamespace' update operation succeeded

201 Created

FleetManagedNamespace

Resource 'FleetManagedNamespace' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

FleetManagedNamespaces_CreateOrUpdate

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.ContainerService/fleets/fleet1/managedNamespaces/namespace1?api-version=2026-02-01-preview

{
  "properties": {
    "managedNamespaceProperties": {
      "labels": {
        "key1": "value1"
      },
      "annotations": {
        "key2": "value2"
      },
      "defaultResourceQuota": {
        "cpuRequest": "1",
        "cpuLimit": "1",
        "memoryRequest": "10Gi",
        "memoryLimit": "32Gi"
      },
      "defaultNetworkPolicy": {
        "ingress": "AllowSameNamespace",
        "egress": "AllowAll"
      }
    },
    "adoptionPolicy": "Never",
    "deletePolicy": "Keep",
    "propagationPolicy": {
      "type": "Placement",
      "placementProfile": {
        "defaultClusterResourcePlacement": {
          "policy": {
            "placementType": "PickAll",
            "affinity": {
              "clusterAffinity": {
                "requiredDuringSchedulingIgnoredDuringExecution": {
                  "clusterSelectorTerms": [
                    {
                      "labelSelector": {
                        "matchLabels": {
                          "gpu": "true"
                        },
                        "matchExpressions": [
                          {
                            "key": "region",
                            "operator": "In",
                            "values": [
                              "production1",
                              "production2"
                            ]
                          }
                        ]
                      },
                      "propertySelector": {
                        "matchExpressions": [
                          {
                            "name": "zones",
                            "operator": "Gt",
                            "values": [
                              "1"
                            ]
                          }
                        ]
                      }
                    }
                  ]
                }
              }
            },
            "tolerations": [
              {
                "key": "AIWorkloadOnly",
                "operator": "Exists",
                "value": "true",
                "effect": "NoSchedule"
              }
            ]
          }
        }
      }
    },
    "status": {
      "lastOperationError": {}
    }
  },
  "location": "eastus"
}

Sample response

{
  "properties": {
    "managedNamespaceProperties": {
      "labels": {
        "key1": "value1"
      },
      "annotations": {
        "key2": "value2"
      },
      "defaultResourceQuota": {
        "cpuRequest": "1",
        "cpuLimit": "1",
        "memoryRequest": "10Gi",
        "memoryLimit": "32Gi"
      },
      "defaultNetworkPolicy": {
        "ingress": "AllowSameNamespace",
        "egress": "AllowAll"
      }
    },
    "adoptionPolicy": "Never",
    "deletePolicy": "Keep",
    "propagationPolicy": {
      "type": "Placement",
      "placementProfile": {
        "defaultClusterResourcePlacement": {
          "policy": {
            "placementType": "PickAll",
            "affinity": {
              "clusterAffinity": {
                "requiredDuringSchedulingIgnoredDuringExecution": {
                  "clusterSelectorTerms": [
                    {
                      "labelSelector": {
                        "matchLabels": {
                          "gpu": "true"
                        },
                        "matchExpressions": [
                          {
                            "key": "region",
                            "operator": "In",
                            "values": [
                              "production1",
                              "production2"
                            ]
                          }
                        ]
                      },
                      "propertySelector": {
                        "matchExpressions": [
                          {
                            "name": "zones",
                            "operator": "Gt",
                            "values": [
                              "1"
                            ]
                          }
                        ]
                      }
                    }
                  ]
                }
              }
            },
            "tolerations": [
              {
                "key": "AIWorkloadOnly",
                "operator": "Exists",
                "value": "true",
                "effect": "NoSchedule"
              }
            ]
          }
        }
      }
    },
    "status": {
      "lastOperationError": {}
    }
  },
  "eTag": "\"EtagValue\"",
  "location": "eastus",
  "id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1/managedNamespaces/namespace1",
  "name": "namespace1",
  "type": "Microsoft.ContainerService/fleets/managedNamespaces",
  "systemData": {
    "createdBy": "someUser",
    "createdByType": "User",
    "createdAt": "2025-08-23T05:40:40.657Z",
    "lastModifiedBy": "someOtherUser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2025-08-23T05:40:40.657Z"
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerService/locations/eastus/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-08-01
{
  "properties": {
    "provisioningState": "Succeeded",
    "managedNamespaceProperties": {
      "labels": {
        "key1": "value1"
      },
      "annotations": {
        "key2": "value2"
      },
      "defaultResourceQuota": {
        "cpuRequest": "1",
        "cpuLimit": "1",
        "memoryRequest": "10Gi",
        "memoryLimit": "32Gi"
      },
      "defaultNetworkPolicy": {
        "ingress": "AllowSameNamespace",
        "egress": "AllowAll"
      }
    },
    "adoptionPolicy": "Never",
    "deletePolicy": "Keep",
    "propagationPolicy": {
      "type": "Placement",
      "placementProfile": {
        "defaultClusterResourcePlacement": {
          "policy": {
            "placementType": "PickAll",
            "affinity": {
              "clusterAffinity": {
                "requiredDuringSchedulingIgnoredDuringExecution": {
                  "clusterSelectorTerms": [
                    {
                      "labelSelector": {
                        "matchLabels": {
                          "gpu": "true"
                        },
                        "matchExpressions": [
                          {
                            "key": "region",
                            "operator": "In",
                            "values": [
                              "production1",
                              "production2"
                            ]
                          }
                        ]
                      },
                      "propertySelector": {
                        "matchExpressions": [
                          {
                            "name": "zones",
                            "operator": "Gt",
                            "values": [
                              "1"
                            ]
                          }
                        ]
                      }
                    }
                  ]
                }
              }
            },
            "tolerations": [
              {
                "key": "AIWorkloadOnly",
                "operator": "Exists",
                "value": "true",
                "effect": "NoSchedule"
              }
            ]
          }
        }
      }
    },
    "status": {
      "lastOperationError": {}
    }
  },
  "eTag": "\"EtagValue\"",
  "tags": {
    "tag1": "tagValue1"
  },
  "location": "eastus",
  "id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1/managedNamespaces/namespace1",
  "name": "namespace1",
  "type": "Microsoft.ContainerService/fleets/managedNamespaces",
  "systemData": {
    "createdBy": "someUser",
    "createdByType": "User",
    "createdAt": "2025-08-23T05:40:40.657Z",
    "lastModifiedBy": "someOtherUser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2025-08-23T05:40:40.657Z"
  }
}

Definitions

Name Description
AdoptionPolicy

Action if the Namespace with the same name already exists.

createdByType

The type of identity that created the resource.

DeletePolicy

Delete options for the ARM managed namespace.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FleetManagedNamespace

A fleet managed namespace.

FleetManagedNamespaceProperties

The properties of a fleet managed namespace.

FleetManagedNamespaceProvisioningState

The provisioning state of the fleet managed namespace resource

FleetManagedNamespaceStatus

Status information for the fleet managed namespace.

LabelSelectorOperator

operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

ManagedNamespaceProperties

The namespace properties for the fleet managed namespace.

Meta.V1.LabelSelector

A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.

Meta.V1.LabelSelectorRequirement

A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.

NetworkPolicy

The network policy for the managed namespace.

Placement.V1.Affinity

Affinity is a group of cluster affinity scheduling rules. More to be added.

Placement.V1.ClusterAffinity

ClusterAffinity contains cluster affinity scheduling rules for the selected resources.

Placement.V1.ClusterResourcePlacementSpec

ClusterResourcePlacementSpec defines the desired state of ClusterResourcePlacement.

Placement.V1.ClusterSelector

ClusterSelector

Placement.V1.ClusterSelectorTerm

ClusterSelectorTerm

Placement.V1.PlacementPolicy

PlacementPolicy contains the rules to select target member clusters to place the selected resources. Note that only clusters that are both joined and satisfying the rules will be selected. You can only specify at most one of the two fields: ClusterNames and Affinity. If none is specified, all the joined clusters are selected.

Placement.V1.PropertySelector

PropertySelector helps user specify property requirements when picking clusters for resource placement.

Placement.V1.PropertySelectorRequirement

PropertySelectorRequirement is a specific property requirement when picking clusters for resource placement.

Placement.V1.Toleration

Toleration allows ClusterResourcePlacement to tolerate any taint that matches the triple <key,value,effect> using the matching operator <operator>.

PlacementProfile

The configuration profile for default ClusterResourcePlacement for placement.

PlacementType

Type of placement. Can be "PickAll", "PickN" or "PickFixed". Default is PickAll.

PolicyRule

The possible values representing different network policy rules.

PropagationPolicy

The propagation to be used for provisioning the namespace among the fleet.

PropagationType

How the namespace will be provisioned among the fleet members.

PropertySelectorOperator

Operator specifies the relationship between a cluster's observed value of the specified property and the values given in the requirement.

ResourceQuota

The resource quota for the managed namespace.

systemData

Metadata pertaining to creation and last modification of the resource.

TaintEffect

Effect indicates the taint effect to match. Empty means match all taint effects. When specified, only allowed value is NoSchedule.

TolerationOperator

Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a ClusterResourcePlacement can tolerate all taints of a particular category.

AdoptionPolicy

Action if the Namespace with the same name already exists.

Value Description
Never

If the Namespace already exists, do not take over the existing Namespace to be managed by ARM.

IfIdentical

If there is an identical Namespace, take over the existing Namespace to be managed by ARM.

Always

Always take over the existing Namespace to be managed by ARM, even if it is not identical.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DeletePolicy

Delete options for the ARM managed namespace.

Value Description
Keep

Delete the ARM resource but keep the Namespace.

Delete

Delete both ARM resource and Namespace.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FleetManagedNamespace

A fleet managed namespace.

Name Type Description
eTag

string

If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

FleetManagedNamespaceProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

FleetManagedNamespaceProperties

The properties of a fleet managed namespace.

Name Type Description
adoptionPolicy

AdoptionPolicy

Action if the managed namespace with the same name already exists. Default is Never.

deletePolicy

DeletePolicy

Delete options of a fleet managed namespace. Default is Keep.

managedNamespaceProperties

ManagedNamespaceProperties

The namespace properties for the fleet managed namespace.

portalFqdn

string

The Azure Portal FQDN of the Fleet hub.

propagationPolicy

PropagationPolicy

The profile of the propagation to create the namespace.

provisioningState

FleetManagedNamespaceProvisioningState

The status of the last operation.

status

FleetManagedNamespaceStatus

Status information of the last operation for fleet managed namespace.

FleetManagedNamespaceProvisioningState

The provisioning state of the fleet managed namespace resource

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Creating

The provisioning state of a fleet managed namespace being created.

Updating

The provisioning state of a fleet managed namespace being updated.

Deleting

The provisioning state of a fleet managed namespace being deleted.

FleetManagedNamespaceStatus

Status information for the fleet managed namespace.

Name Type Description
lastOperationError

ErrorDetail

The last operation error of the fleet managed namespace

lastOperationId

string

The last operation ID for the fleet managed namespace

LabelSelectorOperator

operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

Value Description
In

Label Selector Operator In

NotIn

Label Selector Operator NotIn

Exists

Label Selector Operator Exists

DoesNotExist

Label Selector Operator DoesNotExist

ManagedNamespaceProperties

The namespace properties for the fleet managed namespace.

Name Type Description
annotations

object

The annotations for the fleet managed namespace.

defaultNetworkPolicy

NetworkPolicy

The default network policy for the fleet managed namespace.

defaultResourceQuota

ResourceQuota

The default resource quota for the fleet managed namespace.

labels

object

The labels for the fleet managed namespace.

Meta.V1.LabelSelector

A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.

Name Type Description
matchExpressions

Meta.V1.LabelSelectorRequirement[]

matchExpressions is a list of label selector requirements. The requirements are ANDed.

matchLabels

object

matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

Meta.V1.LabelSelectorRequirement

A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.

Name Type Description
key

string

key is the label key that the selector applies to.

operator

LabelSelectorOperator

operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

values

string[]

values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

NetworkPolicy

The network policy for the managed namespace.

Name Type Description
egress

PolicyRule

The egress policy for the managed namespace.

ingress

PolicyRule

The ingress policy for the managed namespace.

Placement.V1.Affinity

Affinity is a group of cluster affinity scheduling rules. More to be added.

Name Type Description
clusterAffinity

Placement.V1.ClusterAffinity

ClusterAffinity contains cluster affinity scheduling rules for the selected resources.

Placement.V1.ClusterAffinity

ClusterAffinity contains cluster affinity scheduling rules for the selected resources.

Name Type Description
requiredDuringSchedulingIgnoredDuringExecution

Placement.V1.ClusterSelector

If the affinity requirements specified by this field are not met at scheduling time, the resource will not be scheduled onto the cluster. If the affinity requirements specified by this field cease to be met at some point after the placement (e.g. due to an update), the system may or may not try to eventually remove the resource from the cluster.

Placement.V1.ClusterResourcePlacementSpec

ClusterResourcePlacementSpec defines the desired state of ClusterResourcePlacement.

Name Type Description
policy

Placement.V1.PlacementPolicy

Policy defines how to select member clusters to place the selected resources. If unspecified, all the joined member clusters are selected.

Placement.V1.ClusterSelector

ClusterSelector

Name Type Description
clusterSelectorTerms

Placement.V1.ClusterSelectorTerm[]

ClusterSelectorTerms is a list of cluster selector terms. The terms are ORed.

Placement.V1.ClusterSelectorTerm

ClusterSelectorTerm

Name Type Description
labelSelector

Meta.V1.LabelSelector

LabelSelector is a label query over all the joined member clusters. Clusters matching the query are selected. If you specify both label and property selectors in the same term, the results are AND'd.

propertySelector

Placement.V1.PropertySelector

PropertySelector is a property query over all joined member clusters. Clusters matching the query are selected. If you specify both label and property selectors in the same term, the results are AND'd. At this moment, PropertySelector can only be used with RequiredDuringSchedulingIgnoredDuringExecution affinity terms. This field is beta-level; it is for the property-based scheduling feature and is only functional when a property provider is enabled in the deployment.

Placement.V1.PlacementPolicy

PlacementPolicy contains the rules to select target member clusters to place the selected resources. Note that only clusters that are both joined and satisfying the rules will be selected. You can only specify at most one of the two fields: ClusterNames and Affinity. If none is specified, all the joined clusters are selected.

Name Type Description
affinity

Placement.V1.Affinity

Affinity contains cluster affinity scheduling rules. Defines which member clusters to place the selected resources. Only valid if the placement type is "PickAll" or "PickN".

clusterNames

string[]

ClusterNames contains a list of names of MemberCluster to place the selected resources. Only valid if the placement type is "PickFixed"

placementType

PlacementType

Type of placement. Can be "PickAll", "PickN" or "PickFixed". Default is PickAll.

tolerations

Placement.V1.Toleration[]

If specified, the ClusterResourcePlacement's Tolerations. Tolerations cannot be updated or deleted. This field is beta-level and is for the taints and tolerations feature.

Placement.V1.PropertySelector

PropertySelector helps user specify property requirements when picking clusters for resource placement.

Name Type Description
matchExpressions

Placement.V1.PropertySelectorRequirement[]

MatchExpressions is an array of PropertySelectorRequirements. The requirements are AND'd.

Placement.V1.PropertySelectorRequirement

PropertySelectorRequirement is a specific property requirement when picking clusters for resource placement.

Name Type Description
name

string

Name is the name of the property; it should be a Kubernetes label name.

operator

PropertySelectorOperator

Operator specifies the relationship between a cluster's observed value of the specified property and the values given in the requirement.

values

string[]

Values are a list of values of the specified property which Fleet will compare against the observed values of individual member clusters in accordance with the given operator. At this moment, each value should be a Kubernetes quantity. For more information, see https://pkg.go.dev/k8s.io/apimachinery/pkg/api/resource#Quantity. If the operator is Gt (greater than), Ge (greater than or equal to), Lt (less than), or Le (less than or equal to), Eq (equal to), or Ne (ne), exactly one value must be specified in the list.

Placement.V1.Toleration

Toleration allows ClusterResourcePlacement to tolerate any taint that matches the triple <key,value,effect> using the matching operator <operator>.

Name Type Description
effect

TaintEffect

Effect indicates the taint effect to match. Empty means match all taint effects. When specified, only allowed value is NoSchedule.

key

string

Key is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.

operator

TolerationOperator

Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a ClusterResourcePlacement can tolerate all taints of a particular category.

value

string

Value is the taint value the toleration matches to. If the operator is Exists, the value should be empty, otherwise just a regular string.

PlacementProfile

The configuration profile for default ClusterResourcePlacement for placement.

Name Type Description
defaultClusterResourcePlacement

Placement.V1.ClusterResourcePlacementSpec

The default ClusterResourcePlacement policy configuration.

PlacementType

Type of placement. Can be "PickAll", "PickN" or "PickFixed". Default is PickAll.

Value Description
PickAll

PickAll picks all clusters that satisfy the rules.

PickFixed

PickFixed picks a fixed set of clusters.

PolicyRule

The possible values representing different network policy rules.

Value Description
AllowAll

Allow all network traffic.

DenyAll

Deny all network traffic.

AllowSameNamespace

Allow traffic within the same namespace.

PropagationPolicy

The propagation to be used for provisioning the namespace among the fleet.

Name Type Description
placementProfile

PlacementProfile

The profile to be used for propagation via placement.

type

PropagationType

The type of the policy to be used. Default is Placement.

PropagationType

How the namespace will be provisioned among the fleet members.

Value Description
Placement

Using ClusterResourcePlacement.

PropertySelectorOperator

Operator specifies the relationship between a cluster's observed value of the specified property and the values given in the requirement.

Value Description
Gt

Gt dictates Fleet to select cluster if its observed value of a given property is greater than the value specified in the requirement.

Ge

Ge dictates Fleet to select cluster if its observed value of a given property is greater than or equal to the value specified in the requirement.

Eq

Eq dictates Fleet to select cluster if its observed value of a given property is equal to the values specified in the requirement.

Ne

Ne dictates Fleet to select cluster if its observed value of a given property is not equal to the values specified in the requirement.

Lt

Lt dictates Fleet to select cluster if its observed value of a given property is less than the value specified in the requirement.

Le

Le dictates Fleet to select cluster if its observed value of a given property is less than or equal to the value specified in the requirement.

ResourceQuota

The resource quota for the managed namespace.

Name Type Description
cpuLimit

string

The CPU limit for the managed namespace. See more at https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-cpu

cpuRequest

string

The CPU request for the managed namespace. See more at https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-cpu

memoryLimit

string

The memory limit for the managed namespace. See more at https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-memory

memoryRequest

string

The memory request for the managed namespace. See more at https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-memory

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TaintEffect

Effect indicates the taint effect to match. Empty means match all taint effects. When specified, only allowed value is NoSchedule.

Value Description
NoSchedule

Do not allow new pods to schedule onto the node unless they tolerate the taint, but allow all pods submitted to Kubelet without going through the scheduler to start, and allow all already-running pods to continue running. Enforced by the scheduler.

TolerationOperator

Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a ClusterResourcePlacement can tolerate all taints of a particular category.

Value Description
Exists

Toleration Operator Exists

Equal

Toleration Operator Equal